Bug 89062 - Start center and menu bar still accessible when document loading bar running
Summary: Start center and menu bar still accessible when document loading bar running
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2015-02-02 21:09 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-12-19 03:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-02-02 21:09:13 UTC
When you open a large document (e.g. attachment 100922 [details]) from the start center, the progress bar will be active at the bottom and the start center thumbnails and buttons will still be clickable (e.g. i can click the 'Open File' button) and the menu bar will still be clickable as well.

Version: 4.5.0.0.alpha0+
Build ID: d1c9bd13ec7af93f5368dfda6d6d3c955f0b0816
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-01-28_00:25:56
Comment 1 Robinson Tryon (qubit) 2015-02-03 14:20:02 UTC
UX-advise, so
Status -> NEW
Comment 2 tommy27 2015-11-01 10:11:25 UTC
I'm not reproducing this under Win8.1 x64 using LibO 5.0.3.1
but I'm able to reproduce it using LibO 4.2.6.2

while the file is loading you cannot click any element of the start center UI

I set status to RESOLVED WORKFORME
Comment 3 Yousuf Philips (jay) (retired) 2015-11-01 14:17:53 UTC
Yes it isnt as bad now as it was, but if you open the attachment 100922 [details] and while the loading bar is working click on the 'Open File' or 'Writer Document' button, those will be executed before the ods is opened.

Version: 5.1.0.0.alpha1+
Build ID: 048bc383f1d2c15f690364d0001045cdf7090f6f
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-10-28_00:39:39
Locale: en-US (en_US.UTF-8)
Comment 4 tommy27 2015-11-01 17:56:57 UTC
you are right.
it seems you cannot click them but the click stays in memory and is executed just before the .ods loads.

so improved but not yet fixed
Comment 5 Robinson Tryon (qubit) 2016-08-25 05:39:11 UTC Comment hidden (obsolete)
Comment 6 Heiko Tietze 2017-12-18 09:56:41 UTC
Possible solutions: disable access to controls in the start center while loading, make this particular loading modal (e.g. feedback to the loading in an extra dialog - awkward for small files), show the target module immediately (ideally with first data). I would prefer the latter.
Comment 7 QA Administrators 2018-12-19 03:51:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug